* {
	box-sizing: border-box;
	font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', 'Roboto', 'Oxygen', 'Ubuntu', 'Cantarell', 'Fira Sans', 'Droid Sans', 'Helvetica Neue', sans-serif;
}
body {
	font-family: inter-medium,sans-serif;
	font-size: 16px;
	margin: 0;
	/*overflow-x: hidden;*/
}
#github {
    position: fixed;
    top: 0;
    right: 0;
    width: 16em;
    height: 10em;
    overflow: hidden;
    z-index: 1;
}
#github a {
    display: block;
    color: #fff;
    padding: 0.2em 0;
    text-align: center;
    border: dashed white 1px;
    font-weight: bold;
    text-decoration: none;
}
#github p {
    background: #444;
    margin: 0;
    padding: 3px;
    width: 16em;
    transform: translate(50%, -50%) rotate(45deg) translate(0, 5em);
    -webkit-transform: translate(50%, -50%) rotate(45deg) translate(0, 5em);
}
#header {
	color: #fff;
	margin: 2em 0;
	padding: 1em;
}
#intro {
	width: 100%;
	max-width: 768px;
}
.m-0 {
	margin: 0;
}
.mr-1 {
    margin-right: 1rem;
}
.mb-2 {
	margin-bottom: 8px;
}
.mt-12 {
	margin-top: 12px;
}
.flex  {
	display: flex;
}
.flex-auto {
	flex: 1 1 auto;
}
.align-center {
	align-items: center;
}
.justify-center {
	justify-content: center;
}
.column {
	flex-direction: column;
}
.text-big {
	font-size: 2.5rem;
}
.ov-auto {
	overflow: auto;
}
.bold {
	font-weight: bold;
}
.bolder {
	font-weight: bolder;
}
.text-left {
	text-align: left;
}
.text-md {
	font-size: 20px;
}
.wrap  {
	flex-wrap: wrap;
}
.full {
	width: 100%;
}
.main {
	background-color: #830a0a;
}
.sub {
	background-color: #678;
	margin-top: -0.5em;
}
.sub-inner {
	margin-top: 0;
	position: -webkit-sticky;
	position: sticky;
	top: 5.5em;
}
.relative {
	position: relative;
}
.absolute {
	position: absolute;
}
.block {
	display: block;
}
.light {
	background-color: #5597cc;
	color: #fff;
}
.lighter {
	background-color: rgba(80, 90, 150, 0.1);
	color: #fff;
}
.button {
	border: 0;
	box-shadow: 0px 0px 6px 0px #000;
	cursor: pointer;
}
input {
	width: 100%;
}
pre {
	margin: 0;
}
.border-2 {
	border: 2px solid #0a0a7c;
}
.top-left-16 {
	top: 16px;
	left: 16px;
}
.p-8 {
	padding: 8px;
}
.p-12 {
	padding: 12px;
}
.p-24 {
	padding: 24px;
}
.pd-12-0 {
	padding: 12px 0;
}
.error {
	background-color: #e99;
}
.word-container span {
	display: none;
	margin-left: 4px;
	background-color: rgba(255, 255, 255, 0.4);
	border-radius: 4px;
	padding: 2px 4px;
	position: absolute;
	right: 0;
	cursor: pointer;
	z-index: 1;
}
.word-container span:hover {
	background-color: rgba(0, 0, 0, 0.4);
}
.word-container:hover span {
	display: inline;
}
.grid {
	display: block;
}
.grid-15-5 {
	grid-template-columns: 100%;
}
.grid-1-1 {
	grid-template-columns: 100%;
	grid-column-gap: 1em;
	max-width: 768px;
	margin: 0 auto;
}
.full-vh {
	min-height: 100vw;
}
.outer-box {
    padding: 1rem;
	display: block;
    color: #93a1a1;
    background: #500;
}
.codebox {
	position: relative;
}
.copy-button {
	position: absolute;
	top: 5px;
	left: 5px;
	background-color: rgba(0, 0, 0, 0.5);
	color: #fff;
	border-radius: 4px;
	padding: 2px 12px;
	display: none;
	text-shadow: none;
	cursor: default;
	font-size: 12px;
}
.copy-button:hover {
	background-color: rgba(0, 0, 0, 0.9);
}
.codebox:hover .copy-button {
	display: block;
}
@media only screen and (min-width: 768px) {
	.grid {
		display: grid;
	}
	.grid-15-5 {
		grid-template-columns: 15fr 5fr;
	}
	.grid-1-1 {
		grid-template-columns: 1fr 1fr;
	}
	.full-vh {
		min-height: 100vh;
	}
	.sub {
		margin-top: 0;
	}
	.sub-inner {
		margin-top: 4em;
	}
	#header {
		margin: 4em 0;
		padding: 0;
	}
}